import { Injectable } from '@angular/core';
import { debounceTime, Subject, tap } from 'rxjs';

@Injectable({
  providedIn: 'root'
})
export class AudioService {
  private notificationTrigger = new Subject<void>();

  constructor() {
    this.notificationTrigger.pipe(
      debounceTime(200),
      tap(()=> this.playSound('audio/pop.mp3'))
    ).subscribe();
  }

  public PlayNotification(): void {
    this.notificationTrigger.next();
  }

  private playSound(sound: string): void {
    let audio = new Audio();
    audio.src = sound;
    audio.load();
    audio.play();
  }
}
